/* V A R I A B L E S */

:root {
  /* Fonts  */
  --fsg: 110px; /* Time and Greetings 135*/
  --fsm: 75px; /* Date */
  --fss: 25px; /* Greetings and Weather widget */
  --fses: 16px; /* Links List */

  /* Light theme  */
  
  /* --accent: #4b8ec4; Hover color */
  /* --bg: #f5f5f5; Background color */
  /* --sbg: #e4e6e65e; Cards color  #e4e6e65e  */
  /* --fg: #3a3a3a; Foreground color */
  /* --sfg: #3a3a3a; Sceondary Foreground color */
  
  /* Image background  */

  /* Uncoment this section to get the 
    image wallpaper. You can also 
    change the --imgcol value 
    to make the filter to your own */

  /* --imgbg: url(https://raw.githubusercontent.com/n-loo/Bento/master/img/forest-blurred.png); */
  --imgbg: url('../img/oldblur.jpg');
  /* --imgcol: linear-gradient( */
    /* rgba(255, 255, 255, 0.7), */
    /* rgba(255, 255, 255, 0.7) */
  /* ); Filter color */
    --accent: #c9b1c5; /* #D4BE98; /* Hover color #4b8ec4 nord: #8EC3D1*/
    --bg: #19171a; /* Background color */
    --sbg: #353342; /* #3C3836e3; /* Cards color #201e2160  nord: #2e3440e3*/
    --fg: #fbe8f4; /* #D4BE98; /* Foreground color nord: #d8dee9*/
    --sfg: #3a3a3a; /* Secondary Foreground color */
    --imgcol: linear-gradient(
      rgba(255, 255, 255, 0.05),
      rgba(255, 255, 255, 0.05)
    ); /* Filter color */
  }

/* Dark theme  */
.darktheme {
  /* --imgbg: url('../img/landscapewall.jpg'); */
  --imbg: none;
  --accent: #e8e3ed; /* #D4BE98; /* Hover color #4b8ec4 nord: #8EC3D1*/
  --bg: #c9c4cfc6; /* Background color */
  --sbg: #c9c4cfc6; /* Cards color #201e2160  nord: #2e3440e3*/
  --fg: #484656dc; /* #D4BE98; /* Foreground color nord: #d8dee9*/
  --sfg:  #484656dc; /* Secondary Foreground color */
  --imgcol: linear-gradient(
    rgba(255, 255, 255, 0.05),
    rgba(255, 255, 255, 0.05)
  ); /* Filter color */
}

/*  makes scrollbar themed */
::-webkit-scrollbar-thumb {
  background-color: var(--fg) !important;
}
::-webkit-scrollbar {
  background-color: var(--sbg) !important
}

/* S T Y L E S */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* font-family: "Open Sans", sans-serif; */
  /* font-family: 'Fira Code Retina'; */
  font-family: 'Fira Sans';
  transition: 0.2s ease-in-out;
}

body {
  width: 100vw;
  height: 100vh;
  background-color: var(--bg);
  background-image: var(--imgcol), var(--imgbg);
  background-size: cover !important ; 
  display: flex;
  align-items: center;
  justify-content: center;
}

#themeButton {
  position: absolute;
  margin: 2em 2em 0 0;
  right: 0;
  top: 0;
  color: var(--fg);
  border: none;
  cursor: pointer;
  background-color: #00000000;
}

#themeButton__icon {
  width: 25px;
  height: 25px;
}

.container {
  width: 145vh;
  height: 85vh;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(4, 1fr);
  grid-gap: 30px;
  padding: 20px;
}

.card {
  background-color: var(--sbg);
  box-shadow: 0 5px 7px rgba(0, 0, 0, 0.35); /* alpha: 0.35 */
  border-radius: 5px;
}
.card:hover {
  transform: translateY(-0.2rem);
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.35); /* alpha: 0.35 */
}

.timeBlock {
  grid-row: 1 / span 2;
  grid-column: 1 / span 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.weatherBlock {
  grid-column: 3 / span 2;
  grid-row: 1 / span 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.weatherBlock__date {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
}
.weatherBlock__weather {
  display: flex;
  align-items: center;
  justify-content: center;
}

.clock {
  display: flex;
  align-items: center;
  justify-content: center;
}

#hour,
#separator,
#minutes {
  font-size: var(--fsg);
  font-weight: bolder;
  color: var(--fg);
}

#month,
#day {
  font-size: var(--fsm);
  font-weight: bold;
  color: var(--fg);
}

#day {
  margin-left: 20px;
}

#greetings {
  font-size: var(--fss);
  color: var(--fg);
}

.weather-icon img {
  width: 70px;
  height: 70px;
}

.temperature-value p {
  font-size: var(--fss);
  font-weight: bolder;
  margin-left: 15px;
  color: var(--fg);
}

.temperature-description p {
  font-size: var(--fss);
  margin-left: 15px;
  color: var(--fg);
}

.buttonLink {
  grid-row: 3 / span 2;
  grid-column: 1 / span 2;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-gap: 30px;
  padding: 20px;
}

.buttonLink__link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.buttonLink__icon {
  width: 23px;
  height: 23px;
  color: var(--fg);
}

.buttonLink__link-1 {
  grid-row: 1;
  grid-column: 1;
}
.buttonLink__link-2 {
  grid-row: 1;
  grid-column: 2;
}
.buttonLink__link-3 {
  grid-row: 2;
  grid-column: 1;
}
.buttonLink__link-4 {
  grid-row: 2;
  grid-column: 2;
}
.buttonLink__link-5 {
  grid-row: 1;
  grid-column: 3;
}
.buttonLink__link-6 {
  grid-row: 2;
  grid-column: 3;
}
.buttonLink__link:hover {
  background-color: var(--accent);
}
.buttonLink__link:hover svg {
  stroke: var(--sfg);
}

.list {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.list__1 {
  grid-column: 3;
  grid-row: 3 / span 2;
}
.list__2 {
  grid-column: 4;
  grid-row: 3 / span 2;
}
.list__head {
  margin-top: 30px;
  margin-bottom: 10px;
  width: 30px;
  color: var(--fg);
  height: 30px;
}
.list__link {
  text-decoration: none;
  font-size: var(--fses);
  color: var(--fg);
  margin-top: 1px;
  padding: 6px 12px;
  border-radius: 5px;
  font-weight: bold;
}
.list__link:hover {
  background-color: var(--accent);
  color: var(--sfg);
}

/* M E D I A - Q U E R I E S */

@media only screen and (max-width: 68.75em) {
  :root {
    --fsg: 80px;
    --fsm: 65px;
    --fss: 20px;
  }

  .container {
    grid-gap: 20px;
    padding: 40px;
  }

  .timeBlock {
    grid-row: 1 / span 2;
    grid-column: 1 / span 4;
  }

  .weatherBlock {
    display: none;
  }

  #greetings {
    font-size: var(--fss);
  }

  .list {
    display: none;
  }

  .buttonLink {
    grid-column: 1 / span 4;
    grid-gap: 20px;
    padding-left: 100px;
    padding-right: 100px;
  }
}
